package com.bjsxt.web.listener;

import com.bjsxt.commons.Constants;
import com.bjsxt.pojo.Users;

import javax.servlet.ServletContext;
import javax.servlet.annotation.WebListener;
import javax.servlet.http.HttpSession;
import javax.servlet.http.HttpSessionEvent;
import javax.servlet.http.HttpSessionListener;
@WebListener
public class HttpSessionLifeCycleListener implements HttpSessionListener {
    @Override
    public void sessionCreated(HttpSessionEvent se) {

    }

    @Override
    public void sessionDestroyed(HttpSessionEvent se) {
        //获取ServletContext对象，将对应的HttpSession删掉
        HttpSession session=se.getSession();
        ServletContext servletContext=session.getServletContext();
        Users users=(Users)servletContext.getAttribute( Constants.USER_SESSION_KEY );
        servletContext.removeAttribute( users.getUserid()+"" );


    }
}
