package com.bjsxt.dao;

import com.bjsxt.commons.JdbcUtils;
import com.bjsxt.pojo.Users;

import java.sql.Connection;
import java.sql.PreparedStatement;
import java.sql.ResultSet;
import java.sql.SQLException;

public class UserLoginDaoImpl implements UserLoginDao{
    /**
     * 用户登陆的数据库查询
     * @param username
     * @param userpwd
     * @return
     */
    @Override
    public Users selectUserByUserNameAndUserPwd(String username, String userpwd) {
        Users user=null;
        Connection conn=null;
        try{
            conn= JdbcUtils.getConnection();
            PreparedStatement ps=conn.prepareStatement( "select * from users where username= ? and userpwd= ?" );
            ps.setString( 1,username );
            ps.setString( 2,userpwd );
            ResultSet rs=ps.executeQuery();
            while (rs.next()){
                user=new Users();
                user.setUserid( rs.getInt( "userid" ) );
                user.setUsername( rs.getString( "username" ) );
                user.setUserpwd( rs.getString( "userpwd" ) );
                user.setUsersex( rs.getString( "usersex" ) );
                user.setPhonenumber( rs.getString( "phonenumber" ) );
                user.setQqnumber( rs.getString( "qqnumber" ) );

            }
        } catch (SQLException throwables) {
            throwables.printStackTrace();
        }finally {

        }
    return user;
    }
}
